0

I am using remix ide solidity compiler version is 0.4.21 while creating erc20 token im getting the error enter image description here

Thanks!

1
  • Try to avoid images with code in the future, just copy and paste the relevant parts, is easy for people trying to help and therefore you are more likely to get answers.
    – Jaime
    Jun 22, 2018 at 9:24

1 Answer 1

0

Although you say you are using 0.4.21 this error appears when you use a compiler older than :0.4.21+commit.dfe3193c.Emscripten.clang because the emit keyword was not introduced.

Use the provided version or newer and the error will disappear.

Hope this helps.

3
  • Im also tried 0.4.24 but no use getting the same error
    – Alex Surya
    Jun 22, 2018 at 10:35
  • please post your code
    – Jaime
    Jun 22, 2018 at 10:36
  • working good bro thanks for your ans its very helpful
    – Alex Surya
    Jun 22, 2018 at 18:00

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.